# Class StreamingFailedToDecryptSegmentError

#### Hierarchy

- StreamingSegmentError
  - StreamingFailedToDecryptSegmentError

#####
Index

### Constructors

constructor

### Properties

category
code
error
keyInfo
segmentInfo

## Constructors

### constructor

- new StreamingFailedToDecryptSegmentError(error, segmentInfo, keyInfo): StreamingFailedToDecryptSegmentError

- #### Parameters

  - error: Error
  - segmentInfo: SegmentInfo
  - keyInfo: SegmentKeyInfo

  #### Returns StreamingFailedToDecryptSegmentError

  Overrides StreamingSegmentError.constructor

## Properties

### `Readonly` category

category: Streaming = ErrorCategory.Streaming

Inherited from StreamingSegmentError.category

### `Readonly` code

code: StreamingFailedToDecryptSegment = ErrorCode.StreamingFailedToDecryptSegment

Overrides StreamingSegmentError.code

### `Readonly` error

error: Error

Inherited from StreamingSegmentError.error

### `Readonly` keyInfo

keyInfo: SegmentKeyInfo

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from StreamingSegmentError.segmentInfo